services:
  postgresql:
    image: docker.io/bitnami/postgresql:15
    environment:
      ALLOW_EMPTY_PASSWORD: yes
      POSTGRESQL_USERNAME: bn_keycloak
      POSTGRESQL_DATABASE: bitnami_keycloak
    ports:
      - '5432:5432'
    volumes:
      - 'postgresql:/bitnami/postgresql'

  keycloak:
    image: docker.io/bitnami/keycloak:22
    ports:
      - '8080:8080'
    environment:
      KEYCLOAK_EXTRA_ARGS_PREPENDED: "--spi-theme-static-max-age=-1 --spi-theme-cache-themes=false --spi-theme-cache-templates=false"
    depends_on:
      - postgresql
    volumes:
      - './dist:/opt/bitnami/keycloak/themes/unitelabs/login'

volumes:
  postgresql:
    driver: local
